﻿@using Isen.DotNet.Library.Models.Implementation;
@{
    ViewData["Title"] = "Pois";
}
@model IEnumerable<Poi>
<div class="row">
    <div class="col-md-12">
        <h1>Points d'intérêt <small>/poi/index</small></h1>
    </div>
</div>
<div class="row">
    <a class="btn btn-default"
       asp-controller="Poi" asp-action="Detail">Ajouter un point d'intérêt...</a>
</div>
<div class="row">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Description</th>
                <th>Category</th>
                <th>Address</th>

                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var poi in Model)
            {
            <tr>
                <td>@poi.Id</td>
                <td>@poi.Name</td>
                <td>@poi.Description</td>
                <td>@poi.Category.Name</td>
                <td>@poi.Address.TextLine</td>
                <td>
                    <a class="btn btn-default" asp-controller="Poi" asp-action="Detail" asp-route-id="@poi.Id">Editer</a>
                    &nbsp;
                    <a class="btn btn-danger" asp-controller="Poi" asp-action="Delete" asp-route-id="@poi.Id">Supprimer</a>
                </td>
            </tr>
            }
        </tbody>
    </table>
</div>